CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Enumerations
PrimitiveType.h File Reference
`#include <SFML/Graphics/Export.h>`

Go to the source code of this file.

## Enumerations
enum | sfPrimitiveType { sfPoints, sfLines, sfLinesStrip, sfTriangles, sfTrianglesStrip, sfTrianglesFan, sfQuads }
| Types of primitives that a sf::VertexArray can render. More...

## Enumeration Type Documentation

enum sfPrimitiveType

Types of primitives that a sf::VertexArray can render.

Points and lines have no area, therefore their thickness will always be 1 pixel, regardless the current transform and view.

Enumerator
sfPoints | List of individual points.
sfLines | List of individual lines.
sfLinesStrip | List of connected lines, a point uses the previous point to form a line.
sfTriangles | List of individual triangles.
sfTrianglesStrip | List of connected triangles, a point uses the two previous points to form a triangle.
sfTrianglesFan | List of connected triangles, a point uses the common center and the previous point to form a triangle.
sfQuads | List of individual quads.

Definition at line 42 of file PrimitiveType.h.